<?php

	/*--------------------------------------------------------------
	# The Moment - March 2008
	# Recoded version: May 2009
	# Copyright (C) 2007-2009 Gavick.com. All Rights Reserved.
	# License: Copyrighted Commercial Software
	# Website: http://www.gavick.com
	# Support: support@gavick.com 
	---------------------------------------------------------------*/

	// no direct access
	defined('_JEXEC') or die('Restricted access');
	// including base setup file
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_setup.php');
	// including menu generator file
	include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/menu.php');

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
	<jdoc:include type="head" />
	<?php 
    	// including template header files
	    include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_head.php');	
	?>
</head>
<body>
	
	<jdoc:include type="message" />
	
	<div id="slide_area_container">
	    <div id="slide_area">
	        <div id="slide_area_login">
	            <?php if ($this->countModules('advert1')) : ?>
	        	<jdoc:include type="modules" name="advert1" style="raw" />
	         	<?php endif; ?>
	        </div>
	        <div id="slide_area_search">
	        	<?php if ($this->countModules('advert3')) : ?>
	         	<jdoc:include type="modules" name="advert3" style="raw" />
	       		<?php endif; ?>
	        </div>
	    </div>
	</div>
	<div id="page">
	    <div id="top">
	    	<a id="logo<?php echo ($logo_as_image) ? '' : '_styled'; ?>" class="nounder" href="./">	
				<?php if($logo_as_image) : ?>
				<img src="<?php echo $this->baseurl; ?>/templates/<?php echo $this->template?>/images/logo.png" alt="Logo" />
				<?php endif; ?>	
			</a>
	    
            <?php if ($this->countModules('top')) : ?>
            <div id="banner">
            	<jdoc:include type="modules" name="top" style="raw" />
            </div>
            <?php endif; ?>
            <!--top -->
	    </div>
	    <div id="menu" class="clearfix">
            <div id="horiz-menu" class="nav">
            	<?php echo $main_navigation; ?>
            </div>
            
            <div id="menu-panel">
            	<?php if ($this->countModules('advert3')) : ?><a href="#" class="b_search" id="search_trigger"><?php echo JText::_('SEARCH'); ?></a><?php endif; ?>
          		<?php if ($this->countModules('advert1')) : ?><a href="#" class="b_login" id="login_trigger"><?php echo ($userID == 0) ? JText::_('LOGIN') : JText::_('LOGOUT'); ?></a><?php endif; ?>
            </div>
            <!--menu -->
    	</div>
	    <div id="wrap-top-<?php echo (($this->countModules('header')) ? '1' : '0'); ?>">
	        <div id="wrap-bottom" class="clearfix">
	            <div id="wrap-middle" class="clearfix">
	            	<div id="wrap-shadow">
	             		<?php if ($this->countModules('header')) : ?>
	               		<div id="wrap-shadow-1">
	                 		<jdoc:include type="modules" name="header" style="xhtml" />
	                   	</div>
	                    <?php endif; ?>
	                        
      					<div id="content_wrapper" class="clearfix">
           					<div id="mainbody_column" style="width: <?php echo $mainbody_wrapper_width; ?>px;">
                				<div id="mainbody_wrapper">
									<?php if ($this->countModules('banner')) : ?>
	                    			<div class="us-stand">
	                       				<jdoc:include type="modules" name="banner" style="gavickpro" />
	                           		</div>
	                             	<?php endif; ?>
	                                      
							   		<?php if ($this->countModules('user1 or user2')) : ?>
	        						<div id="user_position-1">
	              						<?php if ($this->countModules('user1')) : ?>
	                    				<div class="<?php echo $user_position_1; ?>">
	                        				<jdoc:include type="modules" name="user1" style="gavickpro" />
	                            		</div>
	                              		<?php endif; ?>
	                                	<?php if ($this->countModules('user2')) : ?>
	                                 	<div class="<?php echo $user_position_1; ?>">
	                                  		<jdoc:include type="modules" name="user2" style="gavickpro" />
	                                    </div>
	                                    <?php endif; ?>
	                                </div>
	                                <?php endif; ?>
	
	                                <?php
										// show mainbody on all subpages but not on frontpage
										if (!$frontpage_i || $this->countModules('mainbody')) :
			 						?>
	                                        
									<div id="mainbody">
	     								<?php if($this->countModules('mainbody')) : ?>
			      							<jdoc:include type="modules" name="mainbody" style="gavickpro" />
			      						<?php else: ?>
			      							<jdoc:include type="component" />
					  					<?php endif; ?>
	             					</div>
	                  				
	                  				<?php endif; ?>
	                  				
							  		<?php if ($this->countModules('bottom')) : ?>
	       							<div class="us-stand">
	              						<jdoc:include type="modules" name="bottom" style="gavickpro" />
	                    			</div>
	                       			<?php endif; ?>
	                                
			        				<?php if ($this->countModules('user4 or user5')) : ?>
	           						<div id="user_position-2">
	                 					<?php if ($this->countModules('user4')) : ?>
	                 					<div class="<?php echo $user_position_2; ?>">
	                      					<jdoc:include type="modules" name="user4" style="gavickpro" />
	                           			</div>
	                              		<?php endif; ?>
	                                	
										<?php if ($this->countModules('user5')) : ?>
	      								<div class="<?php echo $user_position_2; ?>">
	              							<jdoc:include type="modules" name="user5" style="gavickpro" />
	                     				</div>
	                         			<?php endif; ?>
	                            	</div>
	                             	<?php endif; ?>
                             	</div>
                         	</div>  
                         	
			 				<?php if ($this->countModules('inset')) : ?>
                          	<div id="inset" style="width: <?php echo $inset_width; ?>px;" <?php if($this->params->get("inset_dots", 1) == 1) : ?>class="dotborder"<?php endif; ?>>
                           		<div id="inset_wrapper">
					   				<jdoc:include type="modules" name="inset" style="gavickpro" />
								</div>   
                           	</div>
                            <?php endif; ?>
                               	
							<?php if ($this->countModules('right')) : ?>
       						<div id="column" style="width: <?php echo $column_width; ?>px;" <?php if($this->params->get("right_dots", 1) == 1) : ?>class="dotborder"<?php endif; ?>>
             					<div id="column_wrapper">
			 						<jdoc:include type="modules" name="right" style="gavickpro" />
						 		</div>
                  			</div>
                     		<?php endif; ?>
                  			<!--content_wrapper -->
                     	</div>
	           		</div>
	             	<!--wrap-middle -->
	           	</div>
	            <!--wrap-bottom -->
	     	</div>
	      	<!--wrap-top -->
		</div>
		    
	    <div id="footer_wrap">
	        <div id="footer">
	        	<?php include_once(JPATH_ROOT . "/templates/" . $this->template . '/lib/php/gk_footer.php'); ?>
	        </div>
	    </div>
	    <!--page -->
	</div>
	
	<?php 
		// including information alert for IE6
		if($this->params->get("ie6info", 1) == 1): 
	?>
	<!-- IE6 alert -->
	<!--[if IE 6]>
		<div id="ie6">
    		<?php include_once(JPATH_ROOT."/templates/".$this->template.'/lib/php/gk_ie6.php'); ?>
		</div>
	<![endif]-->
	<?php endif; ?>
	
	<jdoc:include type="modules" name="debug" />
	
</body>
</html>